Package: groovy.console.ui

## [Groovy] Class ScriptToTreeNodeAdapter

- groovy.console.ui.ScriptToTreeNodeAdapter

- This class controls the conversion from a Groovy script as a String into a tree representation of the AST of that script. The script itself will be a tree node, and each class in the script will be a tree node. The conversion creates tree nodes for any concrete class found within an AST visitor. So, if a tree node should be shown once for each ASTNode and the parent types will not appear as nodes. Custom subclasses of expression types will not appear in the tree. The String label of a tree node is defined by classname in AstBrowserProperties.properties.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `private GroovyClassLoader` | `classLoader`
    `private static Properties` | `classNameToStringForm`
    `private AstBrowserNodeMaker` | `nodeMaker`
    `private boolean` | `showClosureClasses`
    `private boolean` | `showScriptClass`
    `private boolean` | `showScriptFreeForm`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ScriptToTreeNodeAdapter (Object classLoader, Object showScriptFreeForm, Object showScriptClass, Object showClosureClasses, Object nodeMaker, Object config)`
    `ScriptToTreeNodeAdapter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `compile(String script, int compilePhase, boolean indy)` Performs the conversion from script to TreeNode.
    `` | `void` | `extendMethodNodePropertyTable(List table, MethodNode node)` Extends the method node property table by adding custom properties.
    `` | `Object` | `make(Object node)`
    `` | `Object` | `make(MethodNode node)`
    `` | `String` | `toString(Object o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### private final GroovyClassLoader classLoader

    - #### private static Properties classNameToStringForm

    - #### private final AstBrowserNodeMaker nodeMaker

    - #### private boolean showClosureClasses

    - #### private boolean showScriptClass

    - #### private boolean showScriptFreeForm

  - ### Constructor Detail

    - #### ScriptToTreeNodeAdapter(Object classLoader, Object showScriptFreeForm, Object showScriptClass, Object showClosureClasses, Object nodeMaker, Object config)

    - #### ScriptToTreeNodeAdapter()

  - ### Method Detail

    - #### Object compile(String script, int compilePhase, boolean indy)

      Performs the conversion from script to TreeNode.

      Parameters:
        `script` - a Groovy script in String form
        `compilePhase` - the int based CompilePhase to compile it to.
        `indy` - if `true` InvokeDynamic (Indy) bytecode is generated

    - #### void extendMethodNodePropertyTable(List table, MethodNode node)

      Extends the method node property table by adding custom properties.

    - #### Object make(Object node)

    - #### Object make(MethodNode node)

    - #### @CompileStaticCompileStatic String toString(Object o)